csl 1.0.0.pre9 → 1.0.0.pre10

This diff has not been reviewed by any users.
Sign up to get free protection for your applications and to get access to all the features.
Files changed (3) hide show
  1. data/lib/csl/info.rb +3 -2
  2. data/lib/csl/version.rb +1 -1
  3. metadata +10 -10
@@ -36,11 +36,12 @@ module CSL
36
36
  class Info < Node
37
37
 
38
38
  attr_children :title, :'title-short', :id, :issn, :eissn, :issnl,
39
- :link, :author, :contributor, :category, :published, :summary,
40
- :updated, :rights, :'link-dependent-style'
39
+ :link, :author, :contributor, :translator, :category, :published,
40
+ :summary, :updated, :rights, :'link-dependent-style'
41
41
 
42
42
  alias_child :contributors, :contributor
43
43
  alias_child :authors, :author
44
+ alias_child :translators, :translator
44
45
  alias_child :links, :link
45
46
  alias_child :categories, :category
46
47
 
@@ -1,3 +1,3 @@
1
1
  module CSL
2
- VERSION = '1.0.0.pre9'.freeze
2
+ VERSION = '1.0.0.pre10'.freeze
3
3
  end
metadata CHANGED
@@ -1,7 +1,7 @@
1
1
  --- !ruby/object:Gem::Specification
2
2
  name: csl
3
3
  version: !ruby/object:Gem::Version
4
- version: 1.0.0.pre9
4
+ version: 1.0.0.pre10
5
5
  prerelease: 6
6
6
  platform: ruby
7
7
  authors:
@@ -13,7 +13,7 @@ date: 2012-09-05 00:00:00.000000000 Z
13
13
  dependencies:
14
14
  - !ruby/object:Gem::Dependency
15
15
  name: namae
16
- requirement: &70262147603820 !ruby/object:Gem::Requirement
16
+ requirement: &70315294433280 !ruby/object:Gem::Requirement
17
17
  none: false
18
18
  requirements:
19
19
  - - ~>
@@ -21,10 +21,10 @@ dependencies:
21
21
  version: '0.3'
22
22
  type: :runtime
23
23
  prerelease: false
24
- version_requirements: *70262147603820
24
+ version_requirements: *70315294433280
25
25
  - !ruby/object:Gem::Dependency
26
26
  name: cucumber
27
- requirement: &70262147603180 !ruby/object:Gem::Requirement
27
+ requirement: &70315294432260 !ruby/object:Gem::Requirement
28
28
  none: false
29
29
  requirements:
30
30
  - - ~>
@@ -32,10 +32,10 @@ dependencies:
32
32
  version: '1.1'
33
33
  type: :development
34
34
  prerelease: false
35
- version_requirements: *70262147603180
35
+ version_requirements: *70315294432260
36
36
  - !ruby/object:Gem::Dependency
37
37
  name: rspec
38
- requirement: &70262147602340 !ruby/object:Gem::Requirement
38
+ requirement: &70315294431720 !ruby/object:Gem::Requirement
39
39
  none: false
40
40
  requirements:
41
41
  - - ~>
@@ -43,10 +43,10 @@ dependencies:
43
43
  version: '2.7'
44
44
  type: :development
45
45
  prerelease: false
46
- version_requirements: *70262147602340
46
+ version_requirements: *70315294431720
47
47
  - !ruby/object:Gem::Dependency
48
48
  name: rake
49
- requirement: &70262147600760 !ruby/object:Gem::Requirement
49
+ requirement: &70315294431000 !ruby/object:Gem::Requirement
50
50
  none: false
51
51
  requirements:
52
52
  - - ~>
@@ -54,7 +54,7 @@ dependencies:
54
54
  version: '0.9'
55
55
  type: :development
56
56
  prerelease: false
57
- version_requirements: *70262147600760
57
+ version_requirements: *70315294431000
58
58
  description: ! "\n\t\tA Ruby parser and library for the Citation Style Language (CSL),
59
59
  an open\n\t\tXML-based language to describe the formatting of citations and\n\t\tbibliographies.\n\t\t"
60
60
  email:
@@ -164,7 +164,7 @@ required_ruby_version: !ruby/object:Gem::Requirement
164
164
  version: '0'
165
165
  segments:
166
166
  - 0
167
- hash: -2858139211460160453
167
+ hash: -2344357487878349673
168
168
  required_rubygems_version: !ruby/object:Gem::Requirement
169
169
  none: false
170
170
  requirements: